Skip to content

Replace

PUT
/api/config/dns/namespaces/system/dns_zones/{dns_zone_name}/rrsets/{group_name}/{record_name}/{type}
curl --request PUT \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/dns/namespaces/system/dns_zones/example/rrsets/example/example/example \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "dns_zone_name": "example", "group_name": "example", "record_name": "example", "rrset": { "a_record": { "name": "example", "values": [ "example" ] }, "aaaa_record": { "name": "example", "values": [ "example" ] }, "afsdb_record": { "name": "example", "values": [ { "hostname": "example", "subtype": "NONE" } ] }, "alias_record": { "value": "example" }, "caa_record": { "name": "example", "values": [ { "flags": 1, "tag": "example", "value": "example" } ] }, "cds_record": { "name": "example", "values": [ { "ds_key_algorithm": "UNSPECIFIED", "key_tag": 1, "sha1_digest": { "digest": "example" }, "sha256_digest": { "digest": "example" }, "sha384_digest": { "digest": "example" } } ] }, "cert_record": { "name": "example", "values": [ { "algorithm": "RESERVEDALGORITHM", "cert_key_tag": 1, "cert_type": "INVALIDCERTTYPE", "certificate": "example" } ] }, "cname_record": { "name": "example", "value": "example" }, "description": "example", "ds_record": { "name": "example", "values": [ { "ds_key_algorithm": "UNSPECIFIED", "key_tag": 1, "sha1_digest": { "digest": "example" }, "sha256_digest": { "digest": "example" }, "sha384_digest": { "digest": "example" } } ] }, "eui48_record": { "name": "example", "value": "example" }, "eui64_record": { "name": "example", "value": "example" }, "lb_record": { "name": "example", "value": { "name": "example", "namespace": "example" } }, "loc_record": { "name": "example", "values": [ { "altitude": 1, "horizontal_precision": 1, "latitude_degree": 1, "latitude_hemisphere": "N", "latitude_minute": 1, "latitude_second": 1, "location_diameter": 1, "longitude_degree": 1, "longitude_hemisphere": "E", "longitude_minute": 1, "longitude_second": 1, "vertical_precision": 1 } ] }, "mx_record": { "name": "example", "values": [ { "domain": "example", "priority": 1 } ] }, "naptr_record": { "name": "example", "values": [ { "flags": "example", "order": 1, "preference": 1, "regexp": "example", "replacement": "example", "service": "example" } ] }, "ns_record": { "name": "example", "values": [ "example" ] }, "ptr_record": { "name": "example", "values": [ "example" ] }, "srv_record": { "name": "example", "values": [ { "port": 1, "priority": 1, "target": "example", "weight": 1 } ] }, "sshfp_record": { "name": "example", "values": [ { "algorithm": "UNSPECIFIEDALGORITHM", "sha1_fingerprint": { "fingerprint": "example" }, "sha256_fingerprint": { "fingerprint": "example" } } ] }, "tlsa_record": { "name": "example", "values": [ { "certificate_association_data": "example", "certificate_usage": "CertificateAuthorityConstraint", "matching_type": "NoHash", "selector": "FullCertificate" } ] }, "ttl": 1, "txt_record": { "name": "example", "values": [ "example" ] } }, "type": "example" }'

Replace CustomAPI.

Examples of this operation.

dns_zone_name
required
string

Dns_zone_name

x-required.

group_name
required
string

Group_name

x-required.

record_name
required
string

Record_name

x-required.

type
required
string

Type

x-required.

Media typeapplication/json
ReplaceRequest
object
dns_zone_name
dns_zone_name

Required: YES.

string
<= 1024 characters
group_name
group_name

Required: YES.

string
>= 1 characters <= 1024 characters
record_name
record_name

Required: YES.

string
<= 1024 characters
rrset
object
a_record
object
name
Record Name

A Record name, please provide only the specific subdomain or record name without the base domain.

string
>= 6 characters <= 1024 characters
values
IPv4 addresses

A valid IPv4 address, for example: 1.1.1.1 Required: YES.

Array<string>
>= 1 items <= 100 items
aaaa_record
object
name
Record Name

AAAA Record name, please provide only the specific subdomain or record name without the base domain.

string
>= 6 characters <= 1024 characters
values
IPv6 addresses

A valid IPv6 address, for example: 2001:0db8:85a3:0000:0000:8a2e:0370:7334 Required: YES.

Array<string>
>= 1 items <= 100 items
afsdb_record
object
name
Record Name

AFSDB Record name, please provide only the specific subdomain or record name without the base domain.

string
>= 6 characters <= 1024 characters
values
AFSDB Value

Required: YES.

Array<object>
>= 1 items <= 100 items
AFSDBRecordValue
object
hostname
Hostname

Server name of the AFS cell database server or the DCE name server. Required: YES.

string
<= 1024 characters
subtype
string
default: NONE
Allowed values: NONE AFSVolumeLocationServer DCEAuthenticationServer
alias_record
object
value
Domain

A valid domain name, for example: example.com.

string
>= 3 characters <= 255 characters
caa_record
object
name
Record Name

CAA Record name, please provide only the specific subdomain or record name without the base domain.

string
>= 6 characters <= 1024 characters
values
CAA Record Value

Configuration parameter for values

Array<object>
<= 100 items
CertificationAuthorityAuthorization
object
flags
Certification authority authorization flags

This flag should be an integer between 0 and 255.

integer format: int64
tag
Certification authority authorization tag

Tag for categorization and filtering

string
<= 1024 characters
value
Certification authority authorization value

Configuration parameter for value

string
>= 1 characters <= 1024 characters
cds_record
object
name
Record Name

CDS Record name, please provide only the specific subdomain or record name without the base domain.

string
>= 6 characters <= 1024 characters
values
DS Value

Required: YES.

Array<object>
>= 1 items <= 100 items
DSRecordValue
object
ds_key_algorithm
string
default: UNSPECIFIED
Allowed values: UNSPECIFIED RSASHA1 RSASHA1NSEC3SHA1 RSASHA256 RSASHA512 ECDSAP256SHA256 ECDSAP384SHA384 ED25519 ED448
key_tag
Key Tag

A short numeric value which can help quickly identify the referenced DNSKEY-record. Required: YES.

integer format: int64
sha1_digest
object
digest
Digest

The ‘digest’ is the DS key and the actual contents of the DS record. Required: YES.

string
>= 40 characters <= 40 characters
sha256_digest
object
digest
Digest

The ‘digest’ is the DS key and the actual contents of the DS record. Required: YES.

string
>= 64 characters <= 64 characters
sha384_digest
object
digest
Digest

The ‘digest’ is the DS key and the actual contents of the DS record. Required: YES.

string
>= 96 characters <= 96 characters
cert_record
object
name
Record Name

CERT Record name, please provide only the specific subdomain or record name without the base domain.

string
>= 6 characters <= 1024 characters
values
CERT Value

Required: YES.

Array<object>
>= 1 items <= 100 items
CERTRecordValue
object
algorithm
string
default: RESERVEDALGORITHM
Allowed values: RESERVEDALGORITHM RSAMD5 DH DSASHA1 ECC RSASHA1ALGORITHM INDIRECT PRIVATEDNS PRIVATEOID
cert_key_tag
Key Tag

Required: YES.

integer format: int64
cert_type
string
default: INVALIDCERTTYPE
Allowed values: INVALIDCERTTYPE PKIX SPKI PGP IPKIX ISPKI IPGP ACPKIX IACPKIX URI_ OID
certificate
Certificate

Certificate in base 64 format. Required: YES.

string
>= 1 characters <= 4096 characters
cname_record
object
name
Record Name

CName Record name, please provide only the specific subdomain or record name without the base domain. Required: YES.

string
>= 6 characters <= 1024 characters
value
Domain

Configuration parameter for value

string
>= 3 characters <= 255 characters
description
Comment

Human-readable description text

string
>= 21 characters <= 1024 characters
ds_record
object
name
Record Name

DS Record name, please provide only the specific subdomain or record name without the base domain.

string
>= 6 characters <= 1024 characters
values
DS Value

Required: YES.

Array<object>
>= 1 items <= 100 items
DSRecordValue
object
ds_key_algorithm
string
default: UNSPECIFIED
Allowed values: UNSPECIFIED RSASHA1 RSASHA1NSEC3SHA1 RSASHA256 RSASHA512 ECDSAP256SHA256 ECDSAP384SHA384 ED25519 ED448
key_tag
Key Tag

A short numeric value which can help quickly identify the referenced DNSKEY-record. Required: YES.

integer format: int64
sha1_digest
object
digest
Digest

The ‘digest’ is the DS key and the actual contents of the DS record. Required: YES.

string
>= 40 characters <= 40 characters
sha256_digest
object
digest
Digest

The ‘digest’ is the DS key and the actual contents of the DS record. Required: YES.

string
>= 64 characters <= 64 characters
sha384_digest
object
digest
Digest

The ‘digest’ is the DS key and the actual contents of the DS record. Required: YES.

string
>= 96 characters <= 96 characters
eui48_record
object
name
Record Name

EUI48 Record name, please provide only the specific subdomain or record name without the base domain.

string
>= 6 characters <= 1024 characters
value
EUI48 Identifier

A valid eui48 identifier, for example: 01-23-45-67-89-ab Required: YES.

string
>= 17 characters <= 17 characters
eui64_record
object
name
Record Name

EUI64 Record name, please provide only the specific subdomain or record name without the base domain.

string
>= 6 characters <= 1024 characters
value
EUI64 Identifier

A valid EUI64 identifier, for example: 01-23-45-67-89-ab-cd-ef Required: YES.

string
>= 23 characters <= 23 characters
lb_record
object
name
Record Name

Load Balancer record name (except for SRV DNS Load balancer record) should be a simple record name and not a subdomain of a subdomain.

string
>= 6 characters <= 255 characters
value
object
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.

string
>= 1 characters <= 128 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 64 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 64 characters
loc_record
object
name
Record Name

LOC Record name, please provide only the specific subdomain or record name without the base domain.

string
>= 6 characters <= 1024 characters
values
LOC Values

Required: YES.

Array<object>
>= 1 items <= 100 items
LOCValue
object
altitude
Altitude

Altitude in meters Required: YES.

number format: float
horizontal_precision
Horizontal Precision

Horizontal Precision in meters.

number format: float
latitude_degree
Latitude degree

Latitude degree, an integer between 0 and 90, including 0 and 90 Required: YES.

integer format: int32
latitude_hemisphere
string
default: N
Allowed values: N S
latitude_minute
Latitude minute

Latitude minute, an integer between 0 and 59, including 0 and 59.

integer format: int32
latitude_second
Latitude second

Latitude second, an decimal between 0 and 59.999, including 0 and 59.999.

number format: float
location_diameter
Size

Diameter of a sphere enclosing the described entity, in meters.

number format: float
longitude_degree
Longitude degree

Longitude degree, an integer between 0 and 180, including 0 and 180 Required: YES.

integer format: int32
longitude_hemisphere
string
default: E
Allowed values: E W
longitude_minute
Longitude minute

Longitude minute, an integer between 0 and 59, including 0 and 59.

integer format: int32
longitude_second
Longitude second

Longitude second, an decimal between 0 and 59.999, including 0 and 59.999.

number format: float
vertical_precision
Vertical Precision

Vertical Precision in meters.

number format: float
mx_record
object
name
Record Name

MX Record name, please provide only the specific subdomain or record name without the base domain.

string
>= 6 characters <= 1024 characters
values
Value

Required: YES.

Array<object>
<= 100 items
MailExchanger
object
domain
Domain

Mail exchanger domain name, please provide the full hostname, for example: mail.example.com.

string format: hostname
>= 26 characters <= 1024 characters
priority
Priority

Mail exchanger priority code.

integer format: int64
naptr_record
object
name
Record Name

NAPTR Record name, please provide only the specific subdomain or record name without the base domain.

string
>= 6 characters <= 1024 characters
values
NAPTR Values

Required: YES.

Array<object>
>= 1 items <= 100 items
NAPTRValue
object
flags
Flags

Flag to control aspects of the rewriting and interpretation of the fields in the record. At this time only four flags, S/A/U/P, are defined. Required: YES.

string
<= 255 characters
order
Order

Order in which the NAPTR records must be processed. A lower number indicates a higher preference. Required: YES.

integer format: int64
preference
Preference

Preference when records have the same order. A lower number indicates a higher preference. Required: YES.

integer format: int64
regexp
Regular Expression

Regular expression to construct the next domain name to lookup.

string
<= 255 characters
replacement
Replacement

The next NAME to query for NAPTR, SRV, or address records depending on the value of the flags field.

string
<= 1024 characters
service
Protocol Resolution Service

Specifies the service(s) available down this rewrite path.

string
<= 255 characters
ns_record
object
name
Record Name

NS Record name, please provide only the specific subdomain or record name without the base domain.

string
>= 6 characters <= 1024 characters
values
Name-servers

Required: YES.

Array<string>
>= 1 items <= 100 items
ptr_record
object
name
Record Name

PTR Record name, please provide only the specific subdomain or record name without the base domain.

string
>= 6 characters <= 1024 characters
values
Domain names

Required: YES.

Array<string>
>= 1 items <= 100 items
srv_record
object
name
Record Name

SRV Record name, please provide only the specific subdomain or record name without the base domain. Required: YES.

string
>= 6 characters <= 1024 characters
values
SRV Value

Required: YES.

Array<object>
>= 1 items <= 100 items
SRVService
object
port
Port

Port on which the service can be found.

integer format: int64
>= 1 <= 65535
priority
Priority

Priority of the target. A lower number indicates a higher preference.

integer format: int64
target
Target

Hostname of the machine providing the service.

string
<= 1024 characters
weight
Weight

Weight of the target. A higher number indicates a higher preference.

integer format: int64
sshfp_record
object
name
Record Name

SSHFP Record name, please provide only the specific subdomain or record name without the base domain.

string
>= 6 characters <= 1024 characters
values
SSHFP Value

Required: YES.

Array<object>
>= 1 items <= 100 items
SSHFPRecordValue
object
algorithm
string
default: UNSPECIFIEDALGORITHM
Allowed values: UNSPECIFIEDALGORITHM RSA DSA ECDSA Ed25519 Ed448
sha1_fingerprint
object
fingerprint
Fingerprint

The ‘fingerprint’ is the DS key and the actual contents of the DS record. Required: YES.

string
>= 40 characters <= 40 characters
sha256_fingerprint
object
fingerprint
Fingerprint

The ‘fingerprint’ is the DS key and the actual contents of the DS record. Required: YES.

string
>= 64 characters <= 64 characters
tlsa_record
object
name
Record Name

TLSA Record name, please provide only the specific subdomain or record name without the base domain.

string
>= 6 characters <= 1024 characters
values
TLSA Value

Required: YES.

Array<object>
>= 1 items <= 100 items
TLSARecordValue
object
certificate_association_data
Certificate Association Data

The actual data to be matched given the settings of the other fields. Required: YES.

string
>= 1 characters <= 4096 characters
certificate_usage
string
default: CertificateAuthorityConstraint
Allowed values: CertificateAuthorityConstraint ServiceCertificateConstraint TrustAnchorAssertion DomainIssuedCertificate
matching_type
string
default: NoHash
Allowed values: NoHash SHA256 SHA512
selector
string
default: FullCertificate
Allowed values: FullCertificate UseSubjectPublicKey
ttl
TTL

Time-to-live duration in seconds

integer format: int64
txt_record
object
name
Record Name

TXT Record name, please provide only the specific subdomain or record name without the base domain.

string
>= 6 characters <= 1024 characters
values
Text

Required: YES.

Array<string>
>= 1 items <= 100 items
type
type

Required: YES.

string
<= 1024 characters

A successful response.

Media typeapplication/json
Response
object
dns_zone_name
dns_zone_name

Human-readable name for the resource

string
<= 1024 characters
group_name
group_name

Human-readable name for the resource

string
<= 1024 characters
namespace
namespace

Human-readable name for the resource

string
>= 6 characters <= 1024 characters
record_name
record_name

Human-readable name for the resource

string
<= 1024 characters
rrset
object
a_record
object
name
Record Name

A Record name, please provide only the specific subdomain or record name without the base domain.

string
>= 6 characters <= 1024 characters
values
IPv4 addresses

A valid IPv4 address, for example: 1.1.1.1 Required: YES.

Array<string>
>= 1 items <= 100 items
aaaa_record
object
name
Record Name

AAAA Record name, please provide only the specific subdomain or record name without the base domain.

string
>= 6 characters <= 1024 characters
values
IPv6 addresses

A valid IPv6 address, for example: 2001:0db8:85a3:0000:0000:8a2e:0370:7334 Required: YES.

Array<string>
>= 1 items <= 100 items
afsdb_record
object
name
Record Name

AFSDB Record name, please provide only the specific subdomain or record name without the base domain.

string
>= 6 characters <= 1024 characters
values
AFSDB Value

Required: YES.

Array<object>
>= 1 items <= 100 items
AFSDBRecordValue
object
hostname
Hostname

Server name of the AFS cell database server or the DCE name server. Required: YES.

string
<= 1024 characters
subtype
string
default: NONE
Allowed values: NONE AFSVolumeLocationServer DCEAuthenticationServer
alias_record
object
value
Domain

A valid domain name, for example: example.com.

string
>= 3 characters <= 255 characters
caa_record
object
name
Record Name

CAA Record name, please provide only the specific subdomain or record name without the base domain.

string
>= 6 characters <= 1024 characters
values
CAA Record Value

Configuration parameter for values

Array<object>
<= 100 items
CertificationAuthorityAuthorization
object
flags
Certification authority authorization flags

This flag should be an integer between 0 and 255.

integer format: int64
tag
Certification authority authorization tag

Tag for categorization and filtering

string
<= 1024 characters
value
Certification authority authorization value

Configuration parameter for value

string
>= 1 characters <= 1024 characters
cds_record
object
name
Record Name

CDS Record name, please provide only the specific subdomain or record name without the base domain.

string
>= 6 characters <= 1024 characters
values
DS Value

Required: YES.

Array<object>
>= 1 items <= 100 items
DSRecordValue
object
ds_key_algorithm
string
default: UNSPECIFIED
Allowed values: UNSPECIFIED RSASHA1 RSASHA1NSEC3SHA1 RSASHA256 RSASHA512 ECDSAP256SHA256 ECDSAP384SHA384 ED25519 ED448
key_tag
Key Tag

A short numeric value which can help quickly identify the referenced DNSKEY-record. Required: YES.

integer format: int64
sha1_digest
object
digest
Digest

The ‘digest’ is the DS key and the actual contents of the DS record. Required: YES.

string
>= 40 characters <= 40 characters
sha256_digest
object
digest
Digest

The ‘digest’ is the DS key and the actual contents of the DS record. Required: YES.

string
>= 64 characters <= 64 characters
sha384_digest
object
digest
Digest

The ‘digest’ is the DS key and the actual contents of the DS record. Required: YES.

string
>= 96 characters <= 96 characters
cert_record
object
name
Record Name

CERT Record name, please provide only the specific subdomain or record name without the base domain.

string
>= 6 characters <= 1024 characters
values
CERT Value

Required: YES.

Array<object>
>= 1 items <= 100 items
CERTRecordValue
object
algorithm
string
default: RESERVEDALGORITHM
Allowed values: RESERVEDALGORITHM RSAMD5 DH DSASHA1 ECC RSASHA1ALGORITHM INDIRECT PRIVATEDNS PRIVATEOID
cert_key_tag
Key Tag

Required: YES.

integer format: int64
cert_type
string
default: INVALIDCERTTYPE
Allowed values: INVALIDCERTTYPE PKIX SPKI PGP IPKIX ISPKI IPGP ACPKIX IACPKIX URI_ OID
certificate
Certificate

Certificate in base 64 format. Required: YES.

string
>= 1 characters <= 4096 characters
cname_record
object
name
Record Name

CName Record name, please provide only the specific subdomain or record name without the base domain. Required: YES.

string
>= 6 characters <= 1024 characters
value
Domain

Configuration parameter for value

string
>= 3 characters <= 255 characters
description
Comment

Human-readable description text

string
>= 21 characters <= 1024 characters
ds_record
object
name
Record Name

DS Record name, please provide only the specific subdomain or record name without the base domain.

string
>= 6 characters <= 1024 characters
values
DS Value

Required: YES.

Array<object>
>= 1 items <= 100 items
DSRecordValue
object
ds_key_algorithm
string
default: UNSPECIFIED
Allowed values: UNSPECIFIED RSASHA1 RSASHA1NSEC3SHA1 RSASHA256 RSASHA512 ECDSAP256SHA256 ECDSAP384SHA384 ED25519 ED448
key_tag
Key Tag

A short numeric value which can help quickly identify the referenced DNSKEY-record. Required: YES.

integer format: int64
sha1_digest
object
digest
Digest

The ‘digest’ is the DS key and the actual contents of the DS record. Required: YES.

string
>= 40 characters <= 40 characters
sha256_digest
object
digest
Digest

The ‘digest’ is the DS key and the actual contents of the DS record. Required: YES.

string
>= 64 characters <= 64 characters
sha384_digest
object
digest
Digest

The ‘digest’ is the DS key and the actual contents of the DS record. Required: YES.

string
>= 96 characters <= 96 characters
eui48_record
object
name
Record Name

EUI48 Record name, please provide only the specific subdomain or record name without the base domain.

string
>= 6 characters <= 1024 characters
value
EUI48 Identifier

A valid eui48 identifier, for example: 01-23-45-67-89-ab Required: YES.

string
>= 17 characters <= 17 characters
eui64_record
object
name
Record Name

EUI64 Record name, please provide only the specific subdomain or record name without the base domain.

string
>= 6 characters <= 1024 characters
value
EUI64 Identifier

A valid EUI64 identifier, for example: 01-23-45-67-89-ab-cd-ef Required: YES.

string
>= 23 characters <= 23 characters
lb_record
object
name
Record Name

Load Balancer record name (except for SRV DNS Load balancer record) should be a simple record name and not a subdomain of a subdomain.

string
>= 6 characters <= 255 characters
value
object
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.

string
>= 1 characters <= 128 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 64 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 64 characters
loc_record
object
name
Record Name

LOC Record name, please provide only the specific subdomain or record name without the base domain.

string
>= 6 characters <= 1024 characters
values
LOC Values

Required: YES.

Array<object>
>= 1 items <= 100 items
LOCValue
object
altitude
Altitude

Altitude in meters Required: YES.

number format: float
horizontal_precision
Horizontal Precision

Horizontal Precision in meters.

number format: float
latitude_degree
Latitude degree

Latitude degree, an integer between 0 and 90, including 0 and 90 Required: YES.

integer format: int32
latitude_hemisphere
string
default: N
Allowed values: N S
latitude_minute
Latitude minute

Latitude minute, an integer between 0 and 59, including 0 and 59.

integer format: int32
latitude_second
Latitude second

Latitude second, an decimal between 0 and 59.999, including 0 and 59.999.

number format: float
location_diameter
Size

Diameter of a sphere enclosing the described entity, in meters.

number format: float
longitude_degree
Longitude degree

Longitude degree, an integer between 0 and 180, including 0 and 180 Required: YES.

integer format: int32
longitude_hemisphere
string
default: E
Allowed values: E W
longitude_minute
Longitude minute

Longitude minute, an integer between 0 and 59, including 0 and 59.

integer format: int32
longitude_second
Longitude second

Longitude second, an decimal between 0 and 59.999, including 0 and 59.999.

number format: float
vertical_precision
Vertical Precision

Vertical Precision in meters.

number format: float
mx_record
object
name
Record Name

MX Record name, please provide only the specific subdomain or record name without the base domain.

string
>= 6 characters <= 1024 characters
values
Value

Required: YES.

Array<object>
<= 100 items
MailExchanger
object
domain
Domain

Mail exchanger domain name, please provide the full hostname, for example: mail.example.com.

string format: hostname
>= 26 characters <= 1024 characters
priority
Priority

Mail exchanger priority code.

integer format: int64
naptr_record
object
name
Record Name

NAPTR Record name, please provide only the specific subdomain or record name without the base domain.

string
>= 6 characters <= 1024 characters
values
NAPTR Values

Required: YES.

Array<object>
>= 1 items <= 100 items
NAPTRValue
object
flags
Flags

Flag to control aspects of the rewriting and interpretation of the fields in the record. At this time only four flags, S/A/U/P, are defined. Required: YES.

string
<= 255 characters
order
Order

Order in which the NAPTR records must be processed. A lower number indicates a higher preference. Required: YES.

integer format: int64
preference
Preference

Preference when records have the same order. A lower number indicates a higher preference. Required: YES.

integer format: int64
regexp
Regular Expression

Regular expression to construct the next domain name to lookup.

string
<= 255 characters
replacement
Replacement

The next NAME to query for NAPTR, SRV, or address records depending on the value of the flags field.

string
<= 1024 characters
service
Protocol Resolution Service

Specifies the service(s) available down this rewrite path.

string
<= 255 characters
ns_record
object
name
Record Name

NS Record name, please provide only the specific subdomain or record name without the base domain.

string
>= 6 characters <= 1024 characters
values
Name-servers

Required: YES.

Array<string>
>= 1 items <= 100 items
ptr_record
object
name
Record Name

PTR Record name, please provide only the specific subdomain or record name without the base domain.

string
>= 6 characters <= 1024 characters
values
Domain names

Required: YES.

Array<string>
>= 1 items <= 100 items
srv_record
object
name
Record Name

SRV Record name, please provide only the specific subdomain or record name without the base domain. Required: YES.

string
>= 6 characters <= 1024 characters
values
SRV Value

Required: YES.

Array<object>
>= 1 items <= 100 items
SRVService
object
port
Port

Port on which the service can be found.

integer format: int64
>= 1 <= 65535
priority
Priority

Priority of the target. A lower number indicates a higher preference.

integer format: int64
target
Target

Hostname of the machine providing the service.

string
<= 1024 characters
weight
Weight

Weight of the target. A higher number indicates a higher preference.

integer format: int64
sshfp_record
object
name
Record Name

SSHFP Record name, please provide only the specific subdomain or record name without the base domain.

string
>= 6 characters <= 1024 characters
values
SSHFP Value

Required: YES.

Array<object>
>= 1 items <= 100 items
SSHFPRecordValue
object
algorithm
string
default: UNSPECIFIEDALGORITHM
Allowed values: UNSPECIFIEDALGORITHM RSA DSA ECDSA Ed25519 Ed448
sha1_fingerprint
object
fingerprint
Fingerprint

The ‘fingerprint’ is the DS key and the actual contents of the DS record. Required: YES.

string
>= 40 characters <= 40 characters
sha256_fingerprint
object
fingerprint
Fingerprint

The ‘fingerprint’ is the DS key and the actual contents of the DS record. Required: YES.

string
>= 64 characters <= 64 characters
tlsa_record
object
name
Record Name

TLSA Record name, please provide only the specific subdomain or record name without the base domain.

string
>= 6 characters <= 1024 characters
values
TLSA Value

Required: YES.

Array<object>
>= 1 items <= 100 items
TLSARecordValue
object
certificate_association_data
Certificate Association Data

The actual data to be matched given the settings of the other fields. Required: YES.

string
>= 1 characters <= 4096 characters
certificate_usage
string
default: CertificateAuthorityConstraint
Allowed values: CertificateAuthorityConstraint ServiceCertificateConstraint TrustAnchorAssertion DomainIssuedCertificate
matching_type
string
default: NoHash
Allowed values: NoHash SHA256 SHA512
selector
string
default: FullCertificate
Allowed values: FullCertificate UseSubjectPublicKey
ttl
TTL

Time-to-live duration in seconds

integer format: int64
txt_record
object
name
Record Name

TXT Record name, please provide only the specific subdomain or record name without the base domain.

string
>= 6 characters <= 1024 characters
values
Text

Required: YES.

Array<string>
>= 1 items <= 100 items
type
type

Type or category classification

string
<= 1024 characters
Example
{
"rrset": {
"afsdb_record": {
"values": [
{
"subtype": "NONE"
}
]
},
"cds_record": {
"values": [
{
"ds_key_algorithm": "UNSPECIFIED"
}
]
},
"cert_record": {
"values": [
{
"algorithm": "RESERVEDALGORITHM",
"cert_type": "INVALIDCERTTYPE"
}
]
},
"ds_record": {
"values": [
{
"ds_key_algorithm": "UNSPECIFIED"
}
]
},
"loc_record": {
"values": [
{
"latitude_hemisphere": "N",
"longitude_hemisphere": "E"
}
]
},
"sshfp_record": {
"values": [
{
"algorithm": "UNSPECIFIEDALGORITHM"
}
]
},
"tlsa_record": {
"values": [
{
"certificate_usage": "CertificateAuthorityConstraint",
"matching_type": "NoHash",
"selector": "FullCertificate"
}
]
}
}
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example